Adr Un Codes

List ADR UN codes

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

searchstringOptional

Search by code or description, not case sensitive.

Example: gasoline
orderingstringOptional

Order results by code. Ascending with code and descending with -code.

Example: code
Responses
chevron-right
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get
/adr-un-codes/
200

Get successful

Read ADR UN code

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pkintegerRequired

Dashdoc's internal id

Responses
chevron-right
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id

Example: 1
codenumberOptional

UN code, column n°1 from ADR Table A

Example: 4
categorystringOptional

ADR class, column n°2 from ADR Table A

Example: 1
packaging_groupstringOptional

Packaging group, column n°4 from ADR Table A

Example: III
tunnel_restrictionstringOptional

Tunnel restriction code, column n°15 from ADR Table A

Example: 1 (B1000C)
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
updatedstring · date-timeOptional

Ignore. Dashdoc technical data.

Example: 2020-12-22T15:31:39.26167Z
get
/adr-un-codes/{pk}/
200

Get successful

Last updated

Was this helpful?